Subject: bug#34858: closed (Re: bug#34858: indent-relative called with prefix calls tab-to-tab-stop)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Apr 2019 00:53:02 +0000

Your bug report

#34858: indent-relative called with prefix calls tab-to-tab-stop

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34858: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34858
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34858: indent-relative called with prefix calls tab-to-tab-stop
From: Alex Branham <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Fri, 05 Apr 2019 19:52:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 03 Apr 2019 at 12:12, Basil L. Contovounesios <[email-masked]> wrote:

>>> Can they be pushed to master, and only backported to emacs-26 as
>>> needed/applicable?
>>
>> Yes.
>
> Thanks, pushed to master.  Alex, can you also please push your docfixes
> for the Elisp manual?

Thanks! I pushed the docfix as as 10cd65878c741d2a22a1f2c36c54fcad4e516f72, 
to appear in Emacs 27.1. I'm closing this bug report.

Sorry for the delay,
Alex

Subject: indent-relative called with prefix calls tab-to-tab-stop
From: Alex Branham <[email-masked]>
To: [email-masked]
Date: Thu, 14 Mar 2019 10:35:13 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The docstring of indent-relative says:

If the previous nonblank line has no indent points beyond the
column point starts at, then `tab-to-tab-stop' is done, if both
FIRST-ONLY and UNINDENTED-OK are nil, otherwise nothing is done
in this case.

Yet in a buffer like this:

foo

with point at the beginning of line, C-u M-x indent-relative results in:

        test

I'm happy to submit a patch fixing this, but should it update the
documentation to match what happens or should it update the code to
match the documentation?

Thanks,
Alex